clc; format short g; clear all; close all;


% import data from Excel
X = importdata('responsefunctions.xlsx')


T = 21;

i_index = [6 9 10 11 12 13 14 15 16 19 20 21 23 24 26 27 28 29 31 32 33 34 35 ...
           39 40 42 43 44 45 46 48 50 51 52 53 54 55 57 60 61 62 63 66 67 69 70 72 73 74 75 77 78 79 80 ...
           82 83 84 ...
           88 89 91 92 93 94 ...
           96];

       
% obtain means and standard deviations across all 64 PFI categories
%--------------------------------------------------------------------------
mean_irfII = mean(X.data.Quantity(i_index,1:end-3));
mean_irfQQ = mean(X.data.Price(i_index,1:end-3));
stdv_irfII = std(X.data.Quantity(i_index,1:end-3));
stdv_irfQQ = std(X.data.Price(i_index,1:end-3));

load IImean_1
load QQmean_1
load IIstdv_1
load QQstdv_1

load IImean_2
load QQmean_2
load IIstdv_2
load QQstdv_2

load IImean_3
load QQmean_3
load IIstdv_3
load QQstdv_3
%--------------------------------------------------------------------------


% plot Fig. 10
%--------------------------------------------------------------------------
periods = 0:1:T-1;

figure,
subplot(2,2,1)
plot(periods,mean_irfII,'k-',periods,IImean_1,'k--',periods,IImean_2,'k:',periods,IImean_3,'k-.')
title('\bf{Mean: PFI Quantities}','FontSize',8)
%xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5])
box off     
subplot(2,2,2)
plot(periods,mean_irfQQ,'k-',periods,QQmean_1,'k--',periods,QQmean_2,'k:',periods,QQmean_3,'k-.')
title('\bf{Mean: PFI Prices}','FontSize',8)
%xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5])
box off    
subplot(2,2,3)
plot(periods,stdv_irfII,'k-',periods,IIstdv_1,'k--',periods,IIstdv_2,'k:',periods,IIstdv_3,'k-.')
title('\bf{Standard Deviation: PFI Quantities}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5])
box off     
subplot(2,2,4)
plot(periods,stdv_irfQQ,'k-',periods,QQstdv_1,'k--',periods,QQstdv_2,'k:',periods,QQstdv_3,'k-.')
title('\bf{Standard Deviation: PFI Prices}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5])
box off 
%--------------------------------------------------------------------------
