clc; format short g; clear all; close all;


% import data from Excel
X = importdata('responsefunctions.xlsx')


% density estimates for private fixed investment
%--------------------------------------------------------------------------
i_index = [6 9 10 11 12 13 14 15 16 19 20 21 23 24 26 27 28 29 31 32 33 34 35 ...
           39 40 42 43 44 45 46 48 50 51 52 53 54 55 57 60 61 62 63 66 67 69 70 72 73 74 75 77 78 79 80 ...
           82 83 84 ...
           88 89 91 92 93 94 ...
           96];

I1 = X.data.Quantity(i_index,5);   Q1 = X.data.Price(i_index,5);
I2 = X.data.Quantity(i_index,9);   Q2 = X.data.Price(i_index,9);
I3 = X.data.Quantity(i_index,13);  Q3 = X.data.Price(i_index,13);
I4 = X.data.Quantity(i_index,17);  Q4 = X.data.Price(i_index,17);

[Ipdf1,Ixi1,Iu1] = ksdensity(I1);
[Ipdf2,Ixi2,Iu2] = ksdensity(I2);
[Ipdf3,Ixi3,Iu3] = ksdensity(I3);
[Ipdf4,Ixi4,Iu4] = ksdensity(I4);

[Qpdf1,Qxi1,Qu1] = ksdensity(Q1);
[Qpdf2,Qxi2,Qu2] = ksdensity(Q2);
[Qpdf3,Qxi3,Qu3] = ksdensity(Q3);
[Qpdf4,Qxi4,Qu4] = ksdensity(Q4);

figure,
subplot(1,2,1)
plot(Ixi1,Ipdf1,'k-',Ixi2,Ipdf2,'k--',Ixi3,Ipdf3,'k-.',Ixi4,Ipdf4,'k:')
title('\bf{PFI Quantities}','FontSize',8)
subplot(1,2,2)
plot(Qxi1,Qpdf1,'k-',Qxi2,Qpdf2,'k--',Qxi3,Qpdf3,'k-.',Qxi4,Qpdf4,'k:')
title('\bf{PFI Prices}','FontSize',8)
legend('1 year','2 years','3 years','4 years')
%--------------------------------------------------------------------------









