clc; format short g; clear all; close all;


% import data from Excel
X = importdata('responsefunctions.xlsx')


% unpack impulse response functions
T = 17;
period = X.data.Quantity(1,1:T); 

i                                                                           = X.data.Quantity(2,1:T);
i_Nonresidential                                                            = X.data.Quantity(3,1:T);
   i_N_structures                                                           = X.data.Quantity(4,1:T);   
      i_N_s_commerhlth                                                      = X.data.Quantity(5,1:T);
         i_N_s_commerhlth_office                                            = X.data.Quantity(6,1:T);
         i_N_s_commerhlth_healthcare                                        = X.data.Quantity(7,1:T);
            i_N_s_commerhlth_healthcare_hospandspec                         = X.data.Quantity(8,1:T);
               i_N_s_commerhlth_healthcare_hospandspec_hospitals            = X.data.Quantity(9,1:T);
               i_N_s_commerhlth_healthcare_hospandspec_specialcare          = X.data.Quantity(10,1:T);
            i_N_s_commerhlth_healthcare_medicalbldg                         = X.data.Quantity(11,1:T);
         i_N_s_commerhlth_multimerchandise                                  = X.data.Quantity(12,1:T);
         i_N_s_commerhlth_foodandbeverage                                   = X.data.Quantity(13,1:T);
         i_N_s_commerhlth_warehouses                                        = X.data.Quantity(14,1:T);
         i_N_s_commerhlth_othercommer                                       = X.data.Quantity(15,1:T);
      i_N_s_manufactur                                                      = X.data.Quantity(16,1:T);
      i_N_s_powercomm                                                       = X.data.Quantity(17,1:T);   
         i_N_s_powercomm_power                                              = X.data.Quantity(18,1:T);
            i_N_s_powercomm_power_electric                                  = X.data.Quantity(19,1:T);
            i_N_s_powercomm_power_otherpower                                = X.data.Quantity(20,1:T);
         i_N_s_powercomm_communication                                      = X.data.Quantity(21,1:T);
      i_N_s_miningshft                                                      = X.data.Quantity(22,1:T);   
         i_N_s_miningshft_petroleum                                         = X.data.Quantity(23,1:T);
         i_N_s_miningshft_mining                                            = X.data.Quantity(24,1:T);
      i_N_s_otherstruc                                                      = X.data.Quantity(25,1:T);
         i_N_s_otherstruc_religious                                         = X.data.Quantity(26,1:T); 
         i_N_s_otherstruc_educational                                       = X.data.Quantity(27,1:T);
         i_N_s_otherstruc_lodging                                           = X.data.Quantity(28,1:T);
         i_N_s_otherstruc_amusement                                         = X.data.Quantity(29,1:T);
         i_N_s_otherstruc_transporation                                     = X.data.Quantity(30,1:T);
            i_N_s_otherstruc_transporation_air                              = X.data.Quantity(31,1:T);
            i_N_s_otherstruc_transporation_land                             = X.data.Quantity(32,1:T);
         i_N_s_otherstruc_farm                                              = X.data.Quantity(33,1:T);
         i_N_s_otherstruc_other                                             = X.data.Quantity(34,1:T);
         i_N_s_otherstruc_brokers                                           = X.data.Quantity(35,1:T);
         i_N_s_otherstruc_netpurchases                                      = []; % no data
   i_N_equipment                                                            = X.data.Quantity(37,1:T); 
      i_N_e_infoproc                                                        = X.data.Quantity(38,1:T);   
         i_N_e_infoproc_computers                                           = X.data.Quantity(39,1:T);
         i_N_e_infoproc_communication                                       = X.data.Quantity(40,1:T);
         i_N_e_infoproc_medical                                             = X.data.Quantity(41,1:T);
            i_N_e_infoproc_medical_electro                                  = X.data.Quantity(42,1:T);
            i_N_e_infoproc_medical_instruments                              = X.data.Quantity(43,1:T);
         i_N_e_infoproc_nonmedicalinstr                                     = X.data.Quantity(44,1:T);
         i_N_e_infoproc_photocopy                                           = X.data.Quantity(45,1:T);
         i_N_e_infoproc_officeaccount                                       = X.data.Quantity(46,1:T);
      i_N_e_industrial                                                      = X.data.Quantity(47,1:T);
         i_N_e_industrial_fabricatedmetal                                   = X.data.Quantity(48,1:T);
         i_N_e_industrial_engines                                           = X.data.Quantity(49,1:T);
            i_N_e_industrial_engines_steam                                  = X.data.Quantity(50,1:T);
            i_N_e_industrial_engines_internalcomb                           = X.data.Quantity(51,1:T);
         i_N_e_industrial_metalworking                                      = X.data.Quantity(52,1:T);
         i_N_e_industrial_specialindustry                                   = X.data.Quantity(53,1:T);
         i_N_e_industrial_generalindustry                                   = X.data.Quantity(54,1:T);
         i_N_e_industrial_electricaltrans                                   = X.data.Quantity(55,1:T);
      i_N_e_transport                                                       = X.data.Quantity(56,1:T);
         i_N_e_transport_trucks                                             = X.data.Quantity(57,1:T);
            i_N_e_transport_trucks_lighttrucks                              = []; % not enough data
            i_N_e_transport_trucks_othertrucks                              = []; % not enough data
         i_N_e_transport_autos                                              = X.data.Quantity(60,1:T);  
         i_N_e_transport_aircraft                                           = X.data.Quantity(61,1:T);
         i_N_e_transport_ships                                              = X.data.Quantity(62,1:T);
         i_N_e_transport_railroad                                           = X.data.Quantity(63,1:T);
      i_N_e_other                                                           = X.data.Quantity(64,1:T);   
         i_N_e_other_furniture                                              = X.data.Quantity(65,1:T);  
            i_N_e_other_furniture_household                                 = X.data.Quantity(66,1:T);
            i_N_e_other_furniture_other                                     = X.data.Quantity(67,1:T);
         i_N_e_other_agricultural                                           = X.data.Quantity(68,1:T);
            i_N_e_other_agricultural_farmtractors                           = X.data.Quantity(69,1:T); 
            i_N_e_other_agricultural_other                                  = X.data.Quantity(70,1:T);
         i_N_e_other_construction                                           = X.data.Quantity(71,1:T);
            i_N_e_other_construction_constructiontractors                   = X.data.Quantity(72,1:T);
            i_N_e_other_construction_other                                  = X.data.Quantity(73,1:T); 
         i_N_e_other_miningoilfield                                         = X.data.Quantity(74,1:T);
         i_N_e_other_serviceindustry                                        = X.data.Quantity(75,1:T);
         i_N_e_other_electricalequip                                        = X.data.Quantity(76,1:T);
            i_N_e_other_electricalequip_appliances                          = X.data.Quantity(77,1:T);
            i_N_e_other_electricalequip_miscellaneous                       = X.data.Quantity(78,1:T);
         i_N_e_other_other                                                  = X.data.Quantity(79,1:T); 
      i_N_e_lessequipscrap                                                  = X.data.Quantity(80,1:T);
   i_N_intellectual                                                         = X.data.Quantity(81,1:T);         
      i_N_i_software                                                        = X.data.Quantity(82,1:T);         
      i_N_i_research                                                        = X.data.Quantity(83,1:T); 
      i_N_i_entertain                                                       = X.data.Quantity(84,1:T);    
i_Residential                                                               = X.data.Quantity(85,1:T);
   i_R_structures                                                           = X.data.Quantity(86,1:T);
      i_R_s_permanent                                                       = X.data.Quantity(87,1:T);
         i_R_s_permanent_singlefam                                          = X.data.Quantity(88,1:T);
         i_R_s_permanent_multifam                                           = X.data.Quantity(89,1:T);
      i_R_s_other                                                           = X.data.Quantity(90,1:T);
         i_R_s_other_manufhomes                                             = X.data.Quantity(91,1:T);
         i_R_s_other_dorms                                                  = X.data.Quantity(92,1:T);
         i_R_s_other_improvments                                            = X.data.Quantity(93,1:T);
         i_R_s_other_brokers                                                = X.data.Quantity(94,1:T);
         i_R_s_other_netpurchases                                           = []; % no data
   i_R_equipment                                                            = X.data.Quantity(96,1:T);    
   
i_structures                                                                = X.data.Quantity(100,1:T);   
i_equipment                                                                 = X.data.Quantity(101,1:T);   

q                                                                           = X.data.Price(2,1:T);
q_Nonresidential                                                            = X.data.Price(3,1:T);         
   q_N_structures                                                           = X.data.Price(4,1:T);      
      q_N_s_commerhlth                                                      = X.data.Price(5,1:T);
         q_N_s_commerhlth_office                                            = X.data.Price(6,1:T);
         q_N_s_commerhlth_healthcare                                        = X.data.Price(7,1:T);
            q_N_s_commerhlth_healthcare_hospandspec                         = X.data.Price(8,1:T);
               q_N_s_commerhlth_healthcare_hospandspec_hospitals            = X.data.Price(9,1:T);
               q_N_s_commerhlth_healthcare_hospandspec_specialcare          = X.data.Price(10,1:T);
            q_N_s_commerhlth_healthcare_medicalbldg                         = X.data.Price(11,1:T);
         q_N_s_commerhlth_multimerchandise                                  = X.data.Price(12,1:T);
         q_N_s_commerhlth_foodandbeverage                                   = X.data.Price(13,1:T);
         q_N_s_commerhlth_warehouses                                        = X.data.Price(14,1:T);
         q_N_s_commerhlth_othercommer                                       = X.data.Price(15,1:T);
      q_N_s_manufactur                                                      = X.data.Price(16,1:T);
      q_N_s_powercomm                                                       = X.data.Price(17,1:T);   
         q_N_s_powercomm_power                                              = X.data.Price(18,1:T);
            q_N_s_powercomm_power_electric                                  = X.data.Price(19,1:T);
            q_N_s_powercomm_power_otherpower                                = X.data.Price(20,1:T);
         q_N_s_powercomm_communication                                      = X.data.Price(21,1:T);
      q_N_s_miningshft                                                      = X.data.Price(22,1:T);   
         q_N_s_miningshft_petroleum                                         = X.data.Price(23,1:T);
         q_N_s_miningshft_mining                                            = X.data.Price(24,1:T);
      q_N_s_otherstruc                                                      = X.data.Price(25,1:T);
         q_N_s_otherstruc_religious                                         = X.data.Price(26,1:T); 
         q_N_s_otherstruc_educational                                       = X.data.Price(27,1:T);
         q_N_s_otherstruc_lodging                                           = X.data.Price(28,1:T);
         q_N_s_otherstruc_amusement                                         = X.data.Price(29,1:T);
         q_N_s_otherstruc_transporation                                     = X.data.Price(30,1:T);
            q_N_s_otherstruc_transporation_air                              = X.data.Price(31,1:T);
            q_N_s_otherstruc_transporation_land                             = X.data.Price(32,1:T);
         q_N_s_otherstruc_farm                                              = X.data.Price(33,1:T);
         q_N_s_otherstruc_other                                             = X.data.Price(34,1:T);
         q_N_s_otherstruc_brokers                                           = X.data.Price(35,1:T);
         q_N_s_otherstruc_netpurchases                                      = []; % no data         
   q_N_equipment                                                            = X.data.Price(37,1:T); 
      q_N_e_infoproc                                                        = X.data.Price(38,1:T);   
         q_N_e_infoproc_computers                                           = X.data.Price(39,1:T);
         q_N_e_infoproc_communication                                       = X.data.Price(40,1:T);
         q_N_e_infoproc_medical                                             = X.data.Price(41,1:T);
            q_N_e_infoproc_medical_electro                                  = X.data.Price(42,1:T);
            q_N_e_infoproc_medical_instruments                              = X.data.Price(43,1:T);
         q_N_e_infoproc_nonmedicalinstr                                     = X.data.Price(44,1:T);
         q_N_e_infoproc_photocopy                                           = X.data.Price(45,1:T);
         q_N_e_infoproc_officeaccount                                       = X.data.Price(46,1:T);
      q_N_e_industrial                                                      = X.data.Price(47,1:T);
         q_N_e_industrial_fabricatedmetal                                   = X.data.Price(48,1:T);
         q_N_e_industrial_engines                                           = X.data.Price(49,1:T);
            q_N_e_industrial_engines_steam                                  = X.data.Price(50,1:T);
            q_N_e_industrial_engines_internalcomb                           = X.data.Price(51,1:T);
         q_N_e_industrial_metalworking                                      = X.data.Price(52,1:T);
         q_N_e_industrial_specialindustry                                   = X.data.Price(53,1:T);
         q_N_e_industrial_generalindustry                                   = X.data.Price(54,1:T);
         q_N_e_industrial_electricaltrans                                   = X.data.Price(55,1:T);
      q_N_e_transport                                                       = X.data.Price(56,1:T);
         q_N_e_transport_trucks                                             = X.data.Price(57,1:T);
            q_N_e_transport_trucks_lighttrucks                              = []; % not enough data
            q_N_e_transport_trucks_othertrucks                              = []; % not enough data
         q_N_e_transport_autos                                              = X.data.Price(60,1:T);  
         q_N_e_transport_aircraft                                           = X.data.Price(61,1:T);
         q_N_e_transport_ships                                              = X.data.Price(62,1:T);
         q_N_e_transport_railroad                                           = X.data.Price(63,1:T);
      q_N_e_other                                                           = X.data.Price(64,1:T);   
         q_N_e_other_furniture                                              = X.data.Price(65,1:T);  
            q_N_e_other_furniture_household                                 = X.data.Price(66,1:T);
            q_N_e_other_furniture_other                                     = X.data.Price(67,1:T);
         q_N_e_other_agricultural                                           = X.data.Price(68,1:T);
            q_N_e_other_agricultural_farmtractors                           = X.data.Price(69,1:T); 
            q_N_e_other_agricultural_other                                  = X.data.Price(70,1:T);
         q_N_e_other_construction                                           = X.data.Price(71,1:T);
            q_N_e_other_construction_constructiontractors                   = X.data.Price(72,1:T);
            q_N_e_other_construction_other                                  = X.data.Price(73,1:T); 
         q_N_e_other_miningoilfield                                         = X.data.Price(74,1:T);
         q_N_e_other_serviceindustry                                        = X.data.Price(75,1:T);
         q_N_e_other_electricalequip                                        = X.data.Price(76,1:T);
            q_N_e_other_electricalequip_appliances                          = X.data.Price(77,1:T);
            q_N_e_other_electricalequip_miscellaneous                       = X.data.Price(78,1:T);
         q_N_e_other_other                                                  = X.data.Price(79,1:T); 
      q_N_e_lessequipscrap                                                  = X.data.Price(80,1:T);
   q_N_intellectual                                                         = X.data.Price(81,1:T);         
      q_N_i_software                                                        = X.data.Price(82,1:T);         
      q_N_i_research                                                        = X.data.Price(83,1:T); 
      q_N_i_entertain                                                       = X.data.Price(84,1:T);
q_Residential                                                               = X.data.Price(85,1:T);
   q_R_structures                                                           = X.data.Price(86,1:T);
      q_R_s_permanent                                                       = X.data.Price(87,1:T);
         q_R_s_permanent_singlefam                                          = X.data.Price(88,1:T);
         q_R_s_permanent_multifam                                           = X.data.Price(89,1:T);
      q_R_s_other                                                           = X.data.Price(90,1:T);
         q_R_s_other_manufhomes                                             = X.data.Price(91,1:T);
         q_R_s_other_dorms                                                  = X.data.Price(92,1:T);
         q_R_s_other_improvments                                            = X.data.Price(93,1:T);
         q_R_s_other_brokers                                                = X.data.Price(94,1:T);
         q_R_s_other_netpurchases                                           = []; % no data
   q_R_equipment                                                            = X.data.Price(96,1:T);
   
q_structures                                                                = X.data.Price(100,1:T);   
q_equipment                                                                 = X.data.Price(101,1:T);
   
   
      
   
   
% impulse responses for private fixed investment
%--------------------------------------------------------------------------
i_NS_index = [6 9 10 11 12 13 14 15 16 19 20 21 23 24 26 27 28 29 31 32 33 34 35];

i_N_STRUCTURES = mean(X.data.Quantity(i_NS_index,1:T),1);
q_N_STRUCTURES = mean(X.data.Price(i_NS_index,1:T),1);

i_NS_LB = X.data.QbandsLB(4,1:T); i_NS_UB = X.data.QbandsUB(4,1:T);
q_NS_LB = X.data.PbandsLB(4,1:T); q_NS_UB = X.data.PbandsUB(4,1:T);

i_RS_index = [88 89 91 92 93 94];

i_R_STRUCTURES = mean(X.data.Quantity(i_RS_index,1:T),1);
q_R_STRUCTURES = mean(X.data.Price(i_RS_index,1:T),1);

i_RS_LB = X.data.QbandsLB(86,1:T); i_RS_UB = X.data.QbandsUB(86,1:T);
q_RS_LB = X.data.PbandsLB(86,1:T); q_RS_UB = X.data.PbandsUB(86,1:T);

i_IP_index = [82 83 84];

i_INTELLECTUAL = mean(X.data.Quantity(i_IP_index,1:T),1);
q_INTELLECTUAL = mean(X.data.Price(i_IP_index,1:T),1);

i_IP_LB = X.data.QbandsLB(81,1:T); i_IP_UB = X.data.QbandsUB(81,1:T);
q_IP_LB = X.data.PbandsLB(81,1:T); q_IP_UB = X.data.PbandsUB(81,1:T);

i_E_index = [39 40 42 43 44 45 46 48 50 51 52 53 54 55 57 60 61 62 63 66 67 69 70 72 73 74 75 77 78 79 80 ...
             96];

i_EQUIPMENT = mean(X.data.Quantity(i_E_index,1:T),1);
q_EQUIPMENT = mean(X.data.Price(i_E_index,1:T),1);

i_E_LB = X.data.QbandsLB(101,1:T); i_E_UB = X.data.QbandsUB(101,1:T);
q_E_LB = X.data.PbandsLB(101,1:T); q_E_UB = X.data.PbandsUB(101,1:T);


figure
subplot(4,2,1)
plot(period,i_N_structures,'k-',...    
       period,i_N_s_commerhlth_office,'k:',period,i_N_s_commerhlth_healthcare_hospandspec_hospitals,'k:',period,i_N_s_commerhlth_healthcare_hospandspec_specialcare,'k:',...
       period,i_N_s_commerhlth_healthcare_medicalbldg,'k:',period,i_N_s_commerhlth_multimerchandise,'k:',period,i_N_s_commerhlth_foodandbeverage,'k:',...
       period,i_N_s_commerhlth_warehouses,'k:',period,i_N_s_commerhlth_othercommer,'k:',...
       period,i_N_s_manufactur,'k:',...
       period,i_N_s_powercomm_power_electric,'k:',period,i_N_s_powercomm_power_otherpower,'k:',period,i_N_s_powercomm_communication,'k:',...
       period,i_N_s_miningshft_petroleum,'k:',period,i_N_s_miningshft_mining,'k:',...
       period,i_N_s_otherstruc_religious,'k:',period,i_N_s_otherstruc_educational,'k:',period,i_N_s_otherstruc_lodging,'k:',...
       period,i_N_s_otherstruc_amusement,'k:',period,i_N_s_otherstruc_transporation_air,'k:',period,i_N_s_otherstruc_transporation_land,'k:',...
       period,i_N_s_otherstruc_farm,'k:',period,i_N_s_otherstruc_other,'k:',period,i_N_s_otherstruc_brokers,'k:',...
       period,i_N_STRUCTURES,'k--'), jbfill(period,i_NS_UB,i_NS_LB,'k','k',1,0.25);
title('\bf{Nonresidential Structures - Quantities}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-4 4]),
box off     
subplot(4,2,2)
plot(period,q_N_structures,'k-',...    
       period,q_N_s_commerhlth_office,'k:',period,q_N_s_commerhlth_healthcare_hospandspec_hospitals,'k:',period,q_N_s_commerhlth_healthcare_hospandspec_specialcare,'k:',...
       period,q_N_s_commerhlth_healthcare_medicalbldg,'k:',period,q_N_s_commerhlth_multimerchandise,'k:',period,q_N_s_commerhlth_foodandbeverage,'k:',...
       period,q_N_s_commerhlth_warehouses,'k:',period,q_N_s_commerhlth_othercommer,'k:',...
       period,q_N_s_manufactur,'k:',...
       period,q_N_s_powercomm_power_electric,'k:',period,q_N_s_powercomm_power_otherpower,'k:',period,q_N_s_powercomm_communication,'k:',...
       period,q_N_s_miningshft_petroleum,'k:',period,q_N_s_miningshft_mining,'k:',...
       period,q_N_s_otherstruc_religious,'k:',period,q_N_s_otherstruc_educational,'k:',period,q_N_s_otherstruc_lodging,'k:',...
       period,q_N_s_otherstruc_amusement,'k:',period,q_N_s_otherstruc_transporation_air,'k:',period,q_N_s_otherstruc_transporation_land,'k:',...
       period,q_N_s_otherstruc_farm,'k:',period,q_N_s_otherstruc_other,'k:',period,q_N_s_otherstruc_brokers,'k:',...
       period,q_N_STRUCTURES,'k--'), jbfill(period,q_NS_UB,q_NS_LB,'k','k',1,0.25);
title('\bf{Nonresidential Structures - Prices}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-1 3]),
box off  
subplot(4,2,3)
plot(period,i_R_structures,'k-',period,i_R_s_permanent_singlefam,'k:',period,i_R_s_permanent_multifam,'k:',...
    period,i_R_s_other_manufhomes,'k:',period,i_R_s_other_dorms,'k:',period,i_R_s_other_improvments,'k:',...
    period,i_R_s_other_brokers,'k:',period,i_R_STRUCTURES,'k--'), jbfill(period,i_RS_UB,i_RS_LB,'k','k',1,0.25);
title('\bf{Residential Structures - Quantities}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-5 5]),
box off     
subplot(4,2,4)
plot(period,q_R_structures,'k-',period,q_R_s_permanent_singlefam,'k:',period,q_R_s_permanent_multifam,'k:',...
    period,q_R_s_other_manufhomes,'k:',period,q_R_s_other_dorms,'k:',period,q_R_s_other_improvments,'k:',...
    period,q_R_s_other_brokers,'k:',period,q_R_STRUCTURES,'k--'), jbfill(period,q_RS_UB,q_RS_LB,'k','k',1,0.25);
title('\bf{Residential Structures - Prices}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-0.5 2.5]),
box off  
subplot(4,2,5)
plot(period,i_equipment,'k-',...    
       period,i_N_e_infoproc_computers,'k:',period,i_N_e_infoproc_communication,'k:',period,i_N_e_infoproc_medical_electro,'k:',...
       period,i_N_e_infoproc_medical_instruments,'k:',period,i_N_e_infoproc_nonmedicalinstr,'k:',period,i_N_e_infoproc_photocopy,'k:',...
       period,i_N_e_infoproc_officeaccount,'k:',...
       period,i_N_e_industrial_fabricatedmetal,'k:',period,i_N_e_industrial_engines_steam,'k:',period,i_N_e_industrial_engines_internalcomb,'k:',...
       period,i_N_e_industrial_metalworking,'k:',period,i_N_e_industrial_specialindustry,'k:',period,i_N_e_industrial_generalindustry,'k:',...
       period,i_N_e_industrial_electricaltrans,'k:',...
       period,i_N_e_transport_trucks,'k:',period,i_N_e_transport_autos,'k:',period,i_N_e_transport_aircraft,'k:',period,i_N_e_transport_ships,'k:',...
       period,i_N_e_transport_railroad,'k:',...
       period,i_N_e_other_furniture_household,'k:',period,i_N_e_other_furniture_other,'k:',period,i_N_e_other_agricultural_farmtractors,'k:',...
       period,i_N_e_other_agricultural_other,'k:',period,i_N_e_other_construction_constructiontractors,'k:',period,i_N_e_other_construction_other,'k:',...
       period,i_N_e_other_miningoilfield,'k:',period,i_N_e_other_serviceindustry,'k:',period,i_N_e_other_electricalequip_appliances,'k:',...
       period,i_N_e_other_electricalequip_miscellaneous,'k:',period,i_N_e_other_other,'k:',...
       period,i_N_e_lessequipscrap,'k:',...
       period,i_R_equipment,'k:',...   
       period,i_EQUIPMENT,'k--'), jbfill(period,i_E_UB,i_E_LB,'k','k',1,0.25);
title('\bf{Equipment - Quantities}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-2 6]),
box off     
subplot(4,2,6)
plot(period,q_equipment,'k-',...    
       period,q_N_e_infoproc_computers,'k:',period,q_N_e_infoproc_communication,'k:',period,q_N_e_infoproc_medical_electro,'k:',...
       period,q_N_e_infoproc_medical_instruments,'k:',period,q_N_e_infoproc_nonmedicalinstr,'k:',period,q_N_e_infoproc_photocopy,'k:',...
       period,q_N_e_infoproc_officeaccount,'k:',...
       period,q_N_e_industrial_fabricatedmetal,'k:',period,q_N_e_industrial_engines_steam,'k:',period,q_N_e_industrial_engines_internalcomb,'k:',...
       period,q_N_e_industrial_metalworking,'k:',period,q_N_e_industrial_specialindustry,'k:',period,q_N_e_industrial_generalindustry,'k:',...
       period,q_N_e_industrial_electricaltrans,'k:',...
       period,q_N_e_transport_trucks,'k:',period,q_N_e_transport_autos,'k:',period,q_N_e_transport_aircraft,'k:',period,q_N_e_transport_ships,'k:',...
       period,q_N_e_transport_railroad,'k:',...
       period,q_N_e_other_furniture_household,'k:',period,q_N_e_other_furniture_other,'k:',period,q_N_e_other_agricultural_farmtractors,'k:',...
       period,q_N_e_other_agricultural_other,'k:',period,q_N_e_other_construction_constructiontractors,'k:',period,q_N_e_other_construction_other,'k:',...
       period,q_N_e_other_miningoilfield,'k:',period,q_N_e_other_serviceindustry,'k:',period,q_N_e_other_electricalequip_appliances,'k:',...
       period,q_N_e_other_electricalequip_miscellaneous,'k:',period,q_N_e_other_other,'k:',...
       period,q_N_e_lessequipscrap,'k:',...  
       period,q_R_equipment,'k:',...                                                
       period,q_EQUIPMENT,'k--'), jbfill(period,q_E_UB,q_E_LB,'k','k',1,0.25);
title('\bf{Equipment - Prices}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-2 2]),
box off
subplot(4,2,7)
plot(period,i_N_intellectual,'k-',period,i_N_i_software,'k:',period,i_N_i_research,'k:',...
    period,i_N_i_entertain,'k:',period,i_INTELLECTUAL,'k--'), jbfill(period,i_IP_UB,i_IP_LB,'k','k',1,0.25);
title('\bf{Intellectual Property - Quantities}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-1 1.25]),
box off     
subplot(4,2,8)
plot(period,q_N_intellectual,'k-',period,q_N_i_software,'k:',period,q_N_i_research,'k:',...
    period,q_N_i_entertain,'k:',period,q_INTELLECTUAL,'k--'), jbfill(period,q_IP_UB,q_IP_LB,'k','k',1,0.25);
title('\bf{Intellectual Property - Prices}','FontSize',8)
xlabel('quarters after shock','FontSize',8)
ylabel('Percent','FontSize',8)
set(gca,'YAxisLocation','right','FontSize',8), xlim([0 16.5]), ylim([-0.5 1]),
box off  
%--------------------------------------------------------------------------





