clc; format short g; clear all; close all;


% import data from Excel
X = importdata('responsefunctions.xlsx')


% compute summary statistics across disaggregated series
%--------------------------------------------------------------------------
T = 21;

i_index = [6 9 10 11 12 13 14 15 16 19 20 21 23 24 26 27 28 29 31 32 33 34 35 ...
           39 40 42 43 44 45 46 48 50 51 52 53 54 55 57 60 61 62 63 66 67 69 70 72 73 74 75 77 78 79 80 ...
           82 83 84 ...
           88 89 91 92 93 94 ...
           96]; % total private fixed investment
       
% i_index = [6 9 10 11 12 13 14 15 16 19 20 21 23 24 26 27 28 29 31 32 33 34 35]; % nonresidential structures
       
% i_index = [39 40 42 43 44 45 46 48 50 51 52 53 54 55 57 60 61 62 63 66 67 69 70 72 73 74 75 77 78 79 80 ...
%           96]; % equipment
              
% i_index = [88 89 91 92 93 94]; % residential structures

% i_index = [82 83 84]; % intellectual property products

I_average = mean(X.data.Quantity(i_index,1:T),1);
Q_average = mean(X.data.Price(i_index,1:T),1);

I_median = median(X.data.Quantity(i_index,1:T),1);
Q_median = median(X.data.Price(i_index,1:T),1);

I_minimum = min(X.data.Quantity(i_index,1:T));
Q_minimum = min(X.data.Price(i_index,1:T));

I_maximum = max(X.data.Quantity(i_index,1:T));
Q_maximum = max(X.data.Price(i_index,1:T));

I_stddev = std(X.data.Quantity(i_index,1:T),1);
Q_stddev = std(X.data.Price(i_index,1:T),1);

display('Quantity responses (in percent) 1, 2, 3, and 4 years after the shock')
I_average([5 9 13 17])
I_median([5 9 13 17])
I_minimum([5 9 13 17])
I_maximum([5 9 13 17])
I_stddev([5 9 13 17])

display('Price responses (in percent) 1, 2, 3, and 4 years after the shock')
Q_average([5 9 13 17])
Q_median([5 9 13 17])
Q_minimum([5 9 13 17])
Q_maximum([5 9 13 17])
Q_stddev([5 9 13 17])
%--------------------------------------------------------------------------




