clc; format short g; clear all; close all;


% import data from Excel
X = importdata('responsefunctions.xlsx')


index_NS = [6 9 10 11 12 13 14 15 16 19 20 21 23 24 26 27 28 29 31 32 33 34 35];
index_RS = [88 89 91 92 93 94];
index_E  = [39 40 42 43 44 45 46 48 50 51 52 53 54 55 57 60 61 62 63 66 67 69 70 72 73 74 75 77 78 79 80 96];


% Nonresidential structures
NS_output    = X.data.Quantity(index_NS,23);
NS_price     = X.data.Price(index_NS,23);

NS_period    = X.data.Quantity(index_NS,24);

NS_output_LB = X.data.QbandsLB(index_NS,:);
NS_output_LB = NS_output_LB(:,NS_period+1);
NS_output_LB = diag(NS_output_LB);

NS_output_UB = X.data.QbandsUB(index_NS,:);
NS_output_UB = NS_output_UB(:,NS_period+1);
NS_output_UB = diag(NS_output_UB);

NS_price_LB  = X.data.PbandsLB(index_NS,:);
NS_price_LB  = NS_price_LB(:,NS_period+1);
NS_price_LB  = diag(NS_price_LB);

NS_price_UB  = X.data.PbandsUB(index_NS,:);
NS_price_UB  = NS_price_UB(:,NS_period+1);
NS_price_UB  = diag(NS_price_UB);

ns_output_LB = mean(NS_output_LB);
ns_output_UB = mean(NS_output_UB);
ns_price_LB  = mean(NS_price_LB);
ns_price_UB  = mean(NS_price_UB);

ns_output    = mean(NS_output);
ns_price     = mean(NS_price);


% Residential structures
RS_output    = X.data.Quantity(index_RS,23);
RS_price     = X.data.Price(index_RS,23);

RS_period    = X.data.Quantity(index_RS,24);

RS_output_LB = X.data.QbandsLB(index_RS,:);
RS_output_LB = RS_output_LB(:,RS_period+1);
RS_output_LB = diag(RS_output_LB);

RS_output_UB = X.data.QbandsUB(index_RS,:);
RS_output_UB = RS_output_UB(:,RS_period+1);
RS_output_UB = diag(RS_output_UB);

RS_price_LB  = X.data.PbandsLB(index_RS,:);
RS_price_LB  = RS_price_LB(:,RS_period+1);
RS_price_LB  = diag(RS_price_LB);

RS_price_UB  = X.data.PbandsUB(index_RS,:);
RS_price_UB  = RS_price_UB(:,RS_period+1);
RS_price_UB  = diag(RS_price_UB);

rs_output_LB = mean(RS_output_LB);
rs_output_UB = mean(RS_output_UB);
rs_price_LB  = mean(RS_price_LB);
rs_price_UB  = mean(RS_price_UB);

rs_output    = mean(RS_output);
rs_price     = mean(RS_price);


% Equipment
E_output     = X.data.Quantity(index_E,23);
E_price      = X.data.Price(index_E,23);

E_period = X.data.Quantity(index_E,24);

E_output_LB  = X.data.QbandsLB(index_E,:);
E_output_LB  = E_output_LB(:,E_period+1);
E_output_LB  = diag(E_output_LB);

E_output_UB  = X.data.QbandsUB(index_E,:);
E_output_UB  = E_output_UB(:,E_period+1);
E_output_UB  = diag(E_output_UB);

E_price_LB   = X.data.PbandsLB(index_E,:);
E_price_LB   = E_price_LB(:,E_period+1);
E_price_LB   = diag(E_price_LB);

E_price_UB   = X.data.PbandsUB(index_E,:);
E_price_UB   = E_price_UB(:,E_period+1);
E_price_UB   = diag(E_price_UB);

e_output_LB  = mean(E_output_LB);
e_output_UB  = mean(E_output_UB);
e_price_LB   = mean(E_price_LB);
e_price_UB   = mean(E_price_UB);

e_output     = mean(E_output);
e_price      = mean(E_price);


% Profits
Y = importdata('constructionprofit.xlsx')
Z = importdata('equipmentprofit.xlsx')

ns_profit = mean(Y.data.GrossProfit(2:23,4));
rs_profit = mean(Y.data.GrossProfit(25:28,4));
e_profit  = mean(Z.data.GrossProfit(2:31,17));


% Table 2
display('Output Elasticity [] Price Elasticity [] Profit')
[ns_output ns_output_LB ns_output_UB ns_price ns_price_LB ns_price_UB ns_profit; ...
 rs_output rs_output_LB rs_output_UB rs_price rs_price_LB rs_price_UB rs_profit; ...
 e_output  e_output_LB  e_output_UB  e_price  e_price_LB  e_price_UB  e_profit]












