clc; format short g; clear all; close all;

% import data from Excel
X = importdata('dataset.xlsx')


% define variables for the VAR
%--------------------------------------------------------------------------
t0 = 1;                                                                     % start date: 1960:Q1 
T = 235;                                                                    % end data: (196=2007:Q4) (235=2017:Q3)

% general macro variables
y    = log(X.data.Macro(t0:T,1))*100;                                       % y    = log of real GDP
p    = log(X.data.Macro(t0:T,2)/100)*100;                                   % p    = log of chain type GDP Price Index

i    = (log(X.data.Real(1,t0:T))*100)';                                     % i = log of real private fixed investment
q    = (log(X.data.Price(1,t0:T)/100)*100)';                                % q = log of price index for private fixed investment

ff   = X.data.Macro(t0:T,3);                                                % ff   = shadow federal funds rate (Wu-Xia)    
m1   = log(X.data.Macro(t0:T,6))*100;                                       % m1   = log of M1 money stock

ppi_fuel = log(X.data.Macro(t0:T,4)/100)*100;                               % ppi_mat = log of PPI (fuels and related products) NSA
ppi_fin  = log(X.data.Macro(t0:T,5)/100)*100;                               % ppi_fin = log of PPI (final demand for finished goods) SA
%--------------------------------------------------------------------------



% define variables for the 2nd stage OLS regressions
%--------------------------------------------------------------------------
% real investment 
i_Nonresidential                                                            = (log(X.data.Real(2,t0:T))*100)';
   i_N_structures                                                           = (log(X.data.Real(3,t0:T))*100)';
      i_N_s_commerhlth                                                      = (log(X.data.Real(4,t0:T))*100)';
         i_N_s_commerhlth_office                                            = (log(X.data.Real(5,t0:T))*100)';
         i_N_s_commerhlth_healthcare                                        = (log(X.data.Real(6,t0:T))*100)';
            i_N_s_commerhlth_healthcare_hospandspec                         = (log(X.data.Real(7,t0:T))*100)';
               i_N_s_commerhlth_healthcare_hospandspec_hospitals            = (log(X.data.Real(8,t0:T))*100)';
               i_N_s_commerhlth_healthcare_hospandspec_specialcare          = (log(X.data.Real(9,t0:T))*100)';
            i_N_s_commerhlth_healthcare_medicalbldg                         = (log(X.data.Real(10,t0:T))*100)';
         i_N_s_commerhlth_multimerchandise                                  = (log(X.data.Real(11,t0:T))*100)';
         i_N_s_commerhlth_foodandbeverage                                   = (log(X.data.Real(12,t0:T))*100)';
         i_N_s_commerhlth_warehouses                                        = (log(X.data.Real(13,t0:T))*100)';
         i_N_s_commerhlth_othercommer                                       = (log(X.data.Real(14,t0:T))*100)';
      i_N_s_manufactur                                                      = (log(X.data.Real(15,t0:T))*100)';
      i_N_s_powercomm                                                       = (log(X.data.Real(16,t0:T))*100)';   
         i_N_s_powercomm_power                                              = (log(X.data.Real(17,t0:T))*100)';
            i_N_s_powercomm_power_electric                                  = (log(X.data.Real(18,t0:T))*100)';
            i_N_s_powercomm_power_otherpower                                = (log(X.data.Real(19,t0:T))*100)';
         i_N_s_powercomm_communication                                      = (log(X.data.Real(20,t0:T))*100)';
      i_N_s_miningshft                                                      = (log(X.data.Real(21,t0:T))*100)';   
         i_N_s_miningshft_petroleum                                         = (log(X.data.Real(22,t0:T))*100)';
         i_N_s_miningshft_mining                                            = (log(X.data.Real(23,t0:T))*100)';
      i_N_s_otherstruc                                                      = (log(X.data.Real(24,t0:T))*100)';
         i_N_s_otherstruc_religious                                         = (log(X.data.Real(25,t0:T))*100)'; 
         i_N_s_otherstruc_educational                                       = (log(X.data.Real(26,t0:T))*100)';
         i_N_s_otherstruc_lodging                                           = (log(X.data.Real(27,t0:T))*100)';
         i_N_s_otherstruc_amusement                                         = (log(X.data.Real(28,t0:T))*100)';
         i_N_s_otherstruc_transporation                                     = (log(X.data.Real(29,t0:T))*100)';
            i_N_s_otherstruc_transporation_air                              = (log(X.data.Real(30,t0:T))*100)';
            i_N_s_otherstruc_transporation_land                             = (log(X.data.Real(31,t0:T))*100)';
         i_N_s_otherstruc_farm                                              = (log(X.data.Real(32,t0:T))*100)';
         i_N_s_otherstruc_other                                             = (log(X.data.Real(33,t0:T))*100)';
         i_N_s_otherstruc_brokers                                           = (log(X.data.Real(34,t0:T))*100)';
         i_N_s_otherstruc_netpurchases                                      = []; % no data                              
   i_N_equipment                                                            = (log(X.data.Real(36,t0:T))*100)';      
      i_N_e_infoproc                                                        = (log(X.data.Real(37,t0:T))*100)';   
         i_N_e_infoproc_computers                                           = (log(X.data.Real(38,t0:T))*100)';
         i_N_e_infoproc_communication                                       = (log(X.data.Real(39,t0:T))*100)';
         i_N_e_infoproc_medical                                             = (log(X.data.Real(40,t0:T))*100)';
            i_N_e_infoproc_medical_electro                                  = (log(X.data.Real(41,t0:T))*100)';
            i_N_e_infoproc_medical_instruments                              = (log(X.data.Real(42,t0:T))*100)';
         i_N_e_infoproc_nonmedicalinstr                                     = (log(X.data.Real(43,t0:T))*100)';
         i_N_e_infoproc_photocopy                                           = (log(X.data.Real(44,t0:T))*100)';
         i_N_e_infoproc_officeaccount                                       = (log(X.data.Real(45,t0:T))*100)';
      i_N_e_industrial                                                      = (log(X.data.Real(46,t0:T))*100)';
         i_N_e_industrial_fabricatedmetal                                   = (log(X.data.Real(47,t0:T))*100)';
         i_N_e_industrial_engines                                           = (log(X.data.Real(48,t0:T))*100)';
            i_N_e_industrial_engines_steam                                  = (log(X.data.Real(49,t0:T))*100)';
            i_N_e_industrial_engines_internalcomb                           = (log(X.data.Real(50,t0:T))*100)';
         i_N_e_industrial_metalworking                                      = (log(X.data.Real(51,t0:T))*100)';
         i_N_e_industrial_specialindustry                                   = (log(X.data.Real(52,t0:T))*100)';
         i_N_e_industrial_generalindustry                                   = (log(X.data.Real(53,t0:T))*100)';
         i_N_e_industrial_electricaltrans                                   = (log(X.data.Real(54,t0:T))*100)';
      i_N_e_transport                                                       = (log(X.data.Real(55,t0:T))*100)';
         i_N_e_transport_trucks                                             = (log(X.data.Real(56,t0:T))*100)';
            i_N_e_transport_trucks_lighttrucks                              = []; % not enough data
            i_N_e_transport_trucks_othertrucks                              = []; % not enough data
         i_N_e_transport_autos                                              = (log(X.data.Real(59,t0:T))*100)';  
         i_N_e_transport_aircraft                                           = (log(X.data.Real(60,t0:T))*100)';
         i_N_e_transport_ships                                              = (log(X.data.Real(61,t0:T))*100)';
         i_N_e_transport_railroad                                           = (log(X.data.Real(62,t0:T))*100)';
      i_N_e_other                                                           = (log(X.data.Real(63,t0:T))*100)';   
         i_N_e_other_furniture                                              = (log(X.data.Real(64,t0:T))*100)';  
            i_N_e_other_furniture_household                                 = (log(X.data.Real(65,t0:T))*100)';
            i_N_e_other_furniture_other                                     = (log(X.data.Real(66,t0:T))*100)';
         i_N_e_other_agricultural                                           = (log(X.data.Real(67,t0:T))*100)';
            i_N_e_other_agricultural_farmtractors                           = (log(X.data.Real(68,t0:T))*100)'; 
            i_N_e_other_agricultural_other                                  = (log(X.data.Real(69,t0:T))*100)';
         i_N_e_other_construction                                           = (log(X.data.Real(70,t0:T))*100)';
            i_N_e_other_construction_constructiontractors                   = (log(X.data.Real(71,t0:T))*100)';
            i_N_e_other_construction_other                                  = (log(X.data.Real(72,t0:T))*100)'; 
         i_N_e_other_miningoilfield                                         = (log(X.data.Real(73,t0:T))*100)';
         i_N_e_other_serviceindustry                                        = (log(X.data.Real(74,t0:T))*100)';
         i_N_e_other_electricalequip                                        = (log(X.data.Real(75,t0:T))*100)';
            i_N_e_other_electricalequip_appliances                          = (log(X.data.Real(76,t0:T))*100)';
            i_N_e_other_electricalequip_miscellaneous                       = (log(X.data.Real(77,t0:T))*100)';
         i_N_e_other_other                                                  = (log(X.data.Real(78,t0:T))*100)'; 
      i_N_e_lessequipscrap                                                  = (log(X.data.Real(79,t0:T))*100)';
   i_N_intellectual                                                         = (log(X.data.Real(80,t0:T))*100)';         
      i_N_i_software                                                        = (log(X.data.Real(81,t0:T))*100)';         
      i_N_i_research                                                        = (log(X.data.Real(82,t0:T))*100)'; 
      i_N_i_entertain                                                       = (log(X.data.Real(83,t0:T))*100)';      
i_Residential                                                               = (log(X.data.Real(84,t0:T))*100)';
   i_R_structures                                                           = (log(X.data.Real(85,t0:T))*100)';
      i_R_s_permanent                                                       = (log(X.data.Real(86,t0:T))*100)';
         i_R_s_permanent_singlefam                                          = (log(X.data.Real(87,t0:T))*100)';
         i_R_s_permanent_multifam                                           = (log(X.data.Real(88,t0:T))*100)';
      i_R_s_other                                                           = (log(X.data.Real(89,t0:T))*100)';
         i_R_s_other_manufhomes                                             = (log(X.data.Real(90,t0:T))*100)';
         i_R_s_other_dorms                                                  = (log(X.data.Real(91,t0:T))*100)';
         i_R_s_other_improvments                                            = (log(X.data.Real(92,t0:T))*100)';
         i_R_s_other_brokers                                                = (log(X.data.Real(93,t0:T))*100)';
         i_R_s_other_netpurchases                                           = []; % no data
   i_R_equipment                                                            = (log(X.data.Real(95,t0:T))*100)'; 
   
i_structures                                                                = (log(X.data.Real(99,t0:T))*100)';   
i_equipment                                                                 = (log(X.data.Real(100,t0:T))*100)';
                 
% investment deflators
q_Nonresidential                                                            = (log(X.data.Price(2,t0:T))*100)';
   q_N_structures                                                           = (log(X.data.Price(3,t0:T))*100)';
      q_N_s_commerhlth                                                      = (log(X.data.Price(4,t0:T))*100)';
         q_N_s_commerhlth_office                                            = (log(X.data.Price(5,t0:T))*100)';
         q_N_s_commerhlth_healthcare                                        = (log(X.data.Price(6,t0:T))*100)';
            q_N_s_commerhlth_healthcare_hospandspec                         = (log(X.data.Price(7,t0:T))*100)';
               q_N_s_commerhlth_healthcare_hospandspec_hospitals            = (log(X.data.Price(8,t0:T))*100)';
               q_N_s_commerhlth_healthcare_hospandspec_specialcare          = (log(X.data.Price(9,t0:T))*100)';
            q_N_s_commerhlth_healthcare_medicalbldg                         = (log(X.data.Price(10,t0:T))*100)';
         q_N_s_commerhlth_multimerchandise                                  = (log(X.data.Price(11,t0:T))*100)';
         q_N_s_commerhlth_foodandbeverage                                   = (log(X.data.Price(12,t0:T))*100)';
         q_N_s_commerhlth_warehouses                                        = (log(X.data.Price(13,t0:T))*100)';
         q_N_s_commerhlth_othercommer                                       = (log(X.data.Price(14,t0:T))*100)';
      q_N_s_manufactur                                                      = (log(X.data.Price(15,t0:T))*100)';
      q_N_s_powercomm                                                       = (log(X.data.Price(16,t0:T))*100)';   
         q_N_s_powercomm_power                                              = (log(X.data.Price(17,t0:T))*100)';
            q_N_s_powercomm_power_electric                                  = (log(X.data.Price(18,t0:T))*100)';
            q_N_s_powercomm_power_otherpower                                = (log(X.data.Price(19,t0:T))*100)';
         q_N_s_powercomm_communication                                      = (log(X.data.Price(20,t0:T))*100)';
      q_N_s_miningshft                                                      = (log(X.data.Price(21,t0:T))*100)';   
         q_N_s_miningshft_petroleum                                         = (log(X.data.Price(22,t0:T))*100)';
         q_N_s_miningshft_mining                                            = (log(X.data.Price(23,t0:T))*100)';
      q_N_s_otherstruc                                                      = (log(X.data.Price(24,t0:T))*100)';
         q_N_s_otherstruc_religious                                         = (log(X.data.Price(25,t0:T))*100)'; 
         q_N_s_otherstruc_educational                                       = (log(X.data.Price(26,t0:T))*100)';
         q_N_s_otherstruc_lodging                                           = (log(X.data.Price(27,t0:T))*100)';
         q_N_s_otherstruc_amusement                                         = (log(X.data.Price(28,t0:T))*100)';
         q_N_s_otherstruc_transporation                                     = (log(X.data.Price(29,t0:T))*100)';
            q_N_s_otherstruc_transporation_air                              = (log(X.data.Price(30,t0:T))*100)';
            q_N_s_otherstruc_transporation_land                             = (log(X.data.Price(31,t0:T))*100)';
         q_N_s_otherstruc_farm                                              = (log(X.data.Price(32,t0:T))*100)';
         q_N_s_otherstruc_other                                             = (log(X.data.Price(33,t0:T))*100)';
         q_N_s_otherstruc_brokers                                           = (log(X.data.Price(34,t0:T))*100)';
         q_N_s_otherstruc_netpurchases                                      = []; % no data                              
   q_N_equipment                                                            = (log(X.data.Price(36,t0:T))*100)';      
      q_N_e_infoproc                                                        = (log(X.data.Price(37,t0:T))*100)';   
         q_N_e_infoproc_computers                                           = (log(X.data.Price(38,t0:T))*100)';
         q_N_e_infoproc_communication                                       = (log(X.data.Price(39,t0:T))*100)';
         q_N_e_infoproc_medical                                             = (log(X.data.Price(40,t0:T))*100)';
            q_N_e_infoproc_medical_electro                                  = (log(X.data.Price(41,t0:T))*100)';
            q_N_e_infoproc_medical_instruments                              = (log(X.data.Price(42,t0:T))*100)';
         q_N_e_infoproc_nonmedicalinstr                                     = (log(X.data.Price(43,t0:T))*100)';
         q_N_e_infoproc_photocopy                                           = (log(X.data.Price(44,t0:T))*100)';
         q_N_e_infoproc_officeaccount                                       = (log(X.data.Price(45,t0:T))*100)';
      q_N_e_industrial                                                      = (log(X.data.Price(46,t0:T))*100)';
         q_N_e_industrial_fabricatedmetal                                   = (log(X.data.Price(47,t0:T))*100)';
         q_N_e_industrial_engines                                           = (log(X.data.Price(48,t0:T))*100)';
            q_N_e_industrial_engines_steam                                  = (log(X.data.Price(49,t0:T))*100)';
            q_N_e_industrial_engines_internalcomb                           = (log(X.data.Price(50,t0:T))*100)';
         q_N_e_industrial_metalworking                                      = (log(X.data.Price(51,t0:T))*100)';
         q_N_e_industrial_specialindustry                                   = (log(X.data.Price(52,t0:T))*100)';
         q_N_e_industrial_generalindustry                                   = (log(X.data.Price(53,t0:T))*100)';
         q_N_e_industrial_electricaltrans                                   = (log(X.data.Price(54,t0:T))*100)';
      q_N_e_transport                                                       = (log(X.data.Price(55,t0:T))*100)';
         q_N_e_transport_trucks                                             = (log(X.data.Price(56,t0:T))*100)';
            q_N_e_transport_trucks_lighttrucks                              = []; % not enough data
            q_N_e_transport_trucks_othertrucks                              = []; % not enough data
         q_N_e_transport_autos                                              = (log(X.data.Price(59,t0:T))*100)';  
         q_N_e_transport_aircraft                                           = (log(X.data.Price(60,t0:T))*100)';
         q_N_e_transport_ships                                              = (log(X.data.Price(61,t0:T))*100)';
         q_N_e_transport_railroad                                           = (log(X.data.Price(62,t0:T))*100)';
      q_N_e_other                                                           = (log(X.data.Price(63,t0:T))*100)';   
         q_N_e_other_furniture                                              = (log(X.data.Price(64,t0:T))*100)';  
            q_N_e_other_furniture_household                                 = (log(X.data.Price(65,t0:T))*100)';
            q_N_e_other_furniture_other                                     = (log(X.data.Price(66,t0:T))*100)';
         q_N_e_other_agricultural                                           = (log(X.data.Price(67,t0:T))*100)';
            q_N_e_other_agricultural_farmtractors                           = (log(X.data.Price(68,t0:T))*100)'; 
            q_N_e_other_agricultural_other                                  = (log(X.data.Price(69,t0:T))*100)';
         q_N_e_other_construction                                           = (log(X.data.Price(70,t0:T))*100)';
            q_N_e_other_construction_constructiontractors                   = (log(X.data.Price(71,t0:T))*100)';
            q_N_e_other_construction_other                                  = (log(X.data.Price(72,t0:T))*100)'; 
         q_N_e_other_miningoilfield                                         = (log(X.data.Price(73,t0:T))*100)';
         q_N_e_other_serviceindustry                                        = (log(X.data.Price(74,t0:T))*100)';
         q_N_e_other_electricalequip                                        = (log(X.data.Price(75,t0:T))*100)';
            q_N_e_other_electricalequip_appliances                          = (log(X.data.Price(76,t0:T))*100)';
            q_N_e_other_electricalequip_miscellaneous                       = (log(X.data.Price(77,t0:T))*100)';
         q_N_e_other_other                                                  = (log(X.data.Price(78,t0:T))*100)'; 
      q_N_e_lessequipscrap                                                  = (log(X.data.Price(79,t0:T))*100)';
   q_N_intellectual                                                         = (log(X.data.Price(80,t0:T))*100)';         
      q_N_i_software                                                        = (log(X.data.Price(81,t0:T))*100)';         
      q_N_i_research                                                        = (log(X.data.Price(82,t0:T))*100)'; 
      q_N_i_entertain                                                       = (log(X.data.Price(83,t0:T))*100)';      
q_Residential                                                               = (log(X.data.Price(84,t0:T))*100)';
   q_R_structures                                                           = (log(X.data.Price(85,t0:T))*100)';
      q_R_s_permanent                                                       = (log(X.data.Price(86,t0:T))*100)';
         q_R_s_permanent_singlefam                                          = (log(X.data.Price(87,t0:T))*100)';
         q_R_s_permanent_multifam                                           = (log(X.data.Price(88,t0:T))*100)';
      q_R_s_other                                                           = (log(X.data.Price(89,t0:T))*100)';
         q_R_s_other_manufhomes                                             = (log(X.data.Price(90,t0:T))*100)';
         q_R_s_other_dorms                                                  = (log(X.data.Price(91,t0:T))*100)';
         q_R_s_other_improvments                                            = (log(X.data.Price(92,t0:T))*100)';
         q_R_s_other_brokers                                                = (log(X.data.Price(93,t0:T))*100)';
         q_R_s_other_netpurchases                                           = []; % no data
   q_R_equipment                                                            = (log(X.data.Price(95,t0:T))*100)';
   
q_structures                                                                = (log(X.data.Price(99,t0:T))*100)'; 
q_equipment                                                                 = (log(X.data.Price(100,t0:T))*100)';
%--------------------------------------------------------------------------        
        
        

% create a VAR(p) specification and estimate
%--------------------------------------------------------------------------
Y = [y p i q ppi_fuel-ppi_fin ff m1];

% VAR(4) with constant intercept 
%-------------------------------
Spec = vgxset('n',size(Y,2),'nAR',4,'Constant',true)
n = Spec.n; plag = Spec.nAR;

[EstSpec,EstStdErrors,LLF,W] = vgxvarx(Spec,Y(plag+1:end,:),[],Y(1:plag,:));        % Warning! By default vgxvarx.m pads presample observations with zeros.      
EstSpec
%-------------------------------
%--------------------------------------------------------------------------



% estimate industry-level regressions
%--------------------------------------------------------------------------
Quantity = i_N_s_commerhlth_office;
Price    = q_N_s_commerhlth_office;

Q1 = lag(Quantity,1); Q2 = lag(Quantity,2); Q3 = lag(Quantity,3); Q4 = lag(Quantity,4); 
P1 = lag(Price,1);    P2 = lag(Price,2);    P3 = lag(Price,3);    P4 = lag(Price,4);
Y1 = lag(Y,1);        Y2 = lag(Y,2);        Y3 = lag(Y,3);        Y4 = lag(Y,4);

YQP = [Y1 Q1 P1 Y2 Q2 P2 Y3 Q3 P3 Y4 Q4 P4]; 
YQP = YQP(plag+1:end,:);

stats1 = regstats(Quantity(plag+1:end),YQP)  
CoeffTable1 = dataset({stats1.tstat.beta,'Coef'},{stats1.tstat.se,'StdErr'},{stats1.tstat.t,'tStat'},{stats1.tstat.pval,'pVal'})

stats2 = regstats(Price(plag+1:end),YQP)  
CoeffTable2 = dataset({stats2.tstat.beta,'Coef'},{stats2.tstat.se,'StdErr'},{stats2.tstat.t,'tStat'},{stats2.tstat.pval,'pVal'})
%--------------------------------------------------------------------------



% construct augmented VAR with block exogeneity  
%--------------------------------------------------------------------------
% step 1: construct unrestricted coefficient matrices
beta1 = stats1.beta'; beta2 = stats2.beta';
beta = [beta1(2:end); beta2(2:end)];

for i = 1:1:plag;
    AR{i} = [EstSpec.AR{i} zeros(n,2); beta(:,(i-1)*(n+2)+1:i*(n+2))];
end;
a = [EstSpec.a; beta(:,1)];

% step 2: obtain residual error covariance matrix 
resid = [W stats1.r stats2.r];
V = cov(resid,1);

% step 3: create augmented VAR model structure 
varmodel = vgxset('a',a,'AR',AR,'Q',V)

% step 4: compute lower triangular factorization 
[A0,D] = triang_fact(V);

% step 5: obtain structural coefficient matrices 
for i = 1:1:plag;
   A{i} = A0\AR{i}; 
end;
c = A0\a; 

% step 5: pack results into an output structure
spec.A0 = inv(A0); spec.A  = A; spec.c  = c; spec.D  = D;
%--------------------------------------------------------------------------



% apply recursive identification of monetary policy shocks
%--------------------------------------------------------------------------
DynRespFunc = impulse(varmodel,spec,6,20)

tic
errorbands = irfbands_guassian([Y Quantity Price],varmodel,DynRespFunc,0.10,10000,2000,0)
toc
%--------------------------------------------------------------------------


% plot industry-level dynamic response functions
%--------------------------------------------------------------------------
periods = 0:1:DynRespFunc.horizon;

irf_y   = -DynRespFunc.Phi{1};  irf_y_LB   = -errorbands.UB{1};  irf_y_UB   = -errorbands.LB{1};
irf_p   = -DynRespFunc.Phi{2};  irf_p_LB   = -errorbands.UB{2};  irf_p_UB   = -errorbands.LB{2};
irf_i   = -DynRespFunc.Phi{3};  irf_i_LB   = -errorbands.UB{3};  irf_i_UB   = -errorbands.LB{3};
irf_q   = -DynRespFunc.Phi{4};  irf_q_LB   = -errorbands.UB{4};  irf_q_UB   = -errorbands.LB{4};
irf_pf  = -DynRespFunc.Phi{5};  irf_pf_LB  = -errorbands.UB{5};  irf_pf_UB  = -errorbands.LB{5};
irf_ff  = -DynRespFunc.Phi{6};  irf_ff_LB  = -errorbands.UB{6};  irf_ff_UB  = -errorbands.LB{6};
irf_m1  = -DynRespFunc.Phi{7};  irf_m1_LB  = -errorbands.UB{7};  irf_m1_UB  = -errorbands.LB{7};
irf_ii  = -DynRespFunc.Phi{8};  irf_ii_LB  = -errorbands.UB{8};  irf_ii_UB  = -errorbands.LB{8};
irf_qq  = -DynRespFunc.Phi{9};  irf_qq_LB  = -errorbands.UB{9};  irf_qq_UB  = -errorbands.LB{9};

figure,
subplot(1,2,1)
plot(periods,irf_ii,'k-'), title('quantity'), grid on
jbfill(periods,irf_ii_UB,irf_ii_LB,'k','k',1,0.25);
subplot(1,2,2)
plot(periods,irf_qq,'k-'), title('price'), grid on
jbfill(periods,irf_qq_UB,irf_qq_LB,'k','k',1,0.25);
%--------------------------------------------------------------------------









