function [Factors,Lambda,ebp,ssr] = pcomp(X,K);


% obtain initial estimates of the latent factors
[T N] = size(X);
 XX = X'*X;
[eigvec,eigval] = eig(XX);

% sorting eigvec so that they correspond to eigval in descending order
[eigval,index] = sort(diag(eigval));                                       % sorts eigenvalues in an ascending order 
index = flipud(index); 		                                               % to get descending order
evc = zeros(N,N);                   
for i = 1:1:N                          
    evc(:,i) = eigvec(:,index(i));
end

% estimate the factors, coeficients and error terms
Lambda = sqrt(N)*evc(:,1:K);                                               % Lambda is an N*K matrix
Factors = X*Lambda/N;   	                                               % Factors is a T*K matrix
ebp = X - (Factors*Lambda');
ssr = sum(sum(ebp.^2));




