function [F,Lf,Ly] = twostep(Y,X,K);


[T N] = size(X);
M     = size(Y,2);

% Estimate the measurement equation
%--------------------------------------------------------------------------

% step 1: obtain first K principal components of X
%-------------------------------------------------
[F0,Lf0,ebp0,ssr0] = pcomp(X,K);

bb = olss(X,[Y ones(size(F0,1),1) F0]);
Xi = X - Y*bb(1:M,:);
%-------------------------------------------------

% step 2: obtain first K principal components of Xi and iterate
%--------------------------------------------------------------
for ii = 1:1:25;
    [F0,Lf0,ebp0,ssr0] = pcomp(Xi,K);    
    b  = olss(X,[Y ones(size(F0,1),1) F0]);
    Xi = X - Y*b(1:M,:);
end
%--------------------------------------------------------------

bx0 = olss(X,[F0 Y]);      % estimate loadings of measurement equation
bx0 = bx0';
F   = F0;
Lf  = bx0(:,1:K);
Ly  = bx0(:,K+1:K+M);
%--------------------------------------------------------------------------






