function vec_P = vec(P);
%--------------------------------------------------------------------------
% PURPOSE: Performs the columnwise vectorization of an m x n matrix P.  All
%          columns of the m x n matrix P are stacked one under the other 
%          starting with the first column.  
%--------------------------------------------------------------------------
% USAGE: vec_P = vec(P)
% where: P     = matrix of dimension m x n
%--------------------------------------------------------------------------
% written by: Gregory Givens 
%             28 June 2006
%--------------------------------------------------------------------------


n = size(P,1);
m = size(P',1);
vec_P = reshape(P,n*m,1);
